%define module_name     tripso
%define module_version  1.2.2
%define flavour         6.12
%define karch %ix86 x86_64 aarch64 ppc64le armh e2k e2kv4 e2kv5 e2kv6

%setup_kernel_module %flavour

%define module_dir /lib/modules/%kversion-%flavour-%krelease/misc

Summary: Translate between CISPO and GOST R 58256-2018 (Astra) labels
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: alt1.%kcode.%kbuildrelease
License: GPLv2
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>
Url: https://github.com/vt-alt/tripso/

BuildRequires(pre): rpm-build-kernel
BuildRequires(pre): kernel-headers-modules-6.12
BuildRequires: kernel-headers-modules-%flavour = %kepoch%kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kepoch%kversion-%krelease
ExclusiveArch: %karch

%description
%summary (kernel module).

%prep
rm -rf %module_name-%module_version
tar xvf %kernel_src/kernel-source-%module_name-%module_version.tar*
%setup -D -T -n %module_name-%module_version

%build
make -C %_usrsrc/linux-%kversion-%flavour-%krelease M=$(pwd) modules VERSION=%version-%release

%install
install -d %buildroot/%module_dir
install -m644 -D xt_TRIPSO.ko %buildroot/%module_dir/

%files
%module_dir

%changelog

* %(date "+%%a %%b %%d %%Y") %{?package_signer:%package_signer}%{!?package_signer:%packager} %version-%release
- Build for kernel-image-%flavour-%kversion-%krelease.

* Mon Dec 09 2024 Vitaly Chikunov <vt@altlinux.org> 1.2.2-alt1
- Fix build for v6.12.

* Fri Aug 30 2024 Vitaly Chikunov <vt@altlinux.org> 1.2.1-alt1
- Update to tripso-1.2.1.
